#define MONITOR_SET_CONTROL	0
#define MONITOR_SEND_BREAK	0

#define MIN_LIGHTING_TIME 	5	// x 10ms
static inline void led_tx_on() {
	bit_clear(PORTD, PD5);
}
static inline void led_tx_off() {
	bit_set(PORTD, PD5)
}
static inline void led_rx_on() {
	bit_clear(PORTD, PD4);
}
static inline void led_rx_off() {
	bit_set(PORTD, PD4)
}

static inline void led_init() {
	bit_set(DDRD, PD4);
	bit_set(DDRD, PD5);
}

static inline void dtr_rts_init() {
	bit_set(DDRD, PD7);
	bit_set(PORTD, PD7);
}

static inline void dtr_on() {
	bit_clear(PORTD, PD7);
}

static inline void dtr_off() {
	bit_set(PORTD, PD7);
}

extern long Baud;
static inline void rts_on() {
	if (Baud == 1200) {
		bit_clear(DDRC, PC6);
	}
}

static inline void rts_off() {
	if (Baud == 1200) {
		bit_set(DDRC, PC6);
	}
}

#define ctrl_poll ser_poll
