#ifndef __aspconfig_h_included__
#define __aspconfig_h_included__

static inline void connect_led_on() {
    /* GREEN or YELLOW on */
    PORTD |= (1<< PD7);
    DDRD  |= (1<< PD7);
}

static inline void connect_led_off() {
    /* GREEN or YELLOW off */
    DDRD  &= ~(1<< PD7);
    PORTD &= ~(1<< PD7);
}

static inline void busy_led_on() {
    /* RED or ORANGE off : reversed */
    //DDRD  &= ~(1<< PD6);
    PORTD &= ~(1<< PD6);
    DDRD  |= (1<< PD6);
}

static inline void busy_led_off() {
    /* RED or ORANGE on : reversed */
    PORTD |= (1<< PD6);
    DDRD  |= (1<< PD6);
}

#define ISP_OUT   PORTB
#define ISP_IN    PINB
#define ISP_DDR   DDRB
#define ISP_RST   PB0	/* SS */
#define ISP_MOSI  PB2	/* MOSI = ISP MOSI */
#define ISP_MISO  PB3	/* MISO = ISP MISO */
#define ISP_SCK   PB1	/* SCLK */

#endif /* __aspconfig_h_included__ */
