//#define EEPROM_DEBUG
//#define EEPROM_LOG

#define USB_CFG_DEVICE_VERSION  0x01, 0x02

#define USB162_SOFT_RESET	1

#ifdef SERIAL_DEBUG
#define USB_CFG_VENDOR_ID  0xc0, 0x16
#define USB_CFG_DEVICE_ID  0xdc, 0x05

#define USE_IAD

#define EP_INT		 3	
#define EP_TX		 1
#define EP_RX		 2

#define EP_INT_SIZE	 	 8
#define EP_TX_SIZE		32
#define EP_RX_SIZE		64

#define USE_DUAL_BANK_BULK_OUT	0
#define USE_DUAL_BANK_BULK_IN	0
#define CDC162_EXCONT		1
#else
  #define USB162_NO_APPEP		1
  #define USB162_NO_USER_SETUP		1
#endif // SERIAL_DEBUG

#define EP_SIZE		 	 8

#define USB_CFG_DESCR_PROPS_HID         0
#define USB_CFG_DESCR_PROPS_HID_REPORT          0
#define MAX_REPLY_LEN   254

